summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-libs/libinfinity/files/infinoted.initd')
-rw-r--r--net-libs/libinfinity/files/infinoted.initd28
1 files changed, 28 insertions, 0 deletions
diff --git a/net-libs/libinfinity/files/infinoted.initd b/net-libs/libinfinity/files/infinoted.initd
new file mode 100644
index 000000000000..b8f3f1f849f2
--- /dev/null
+++ b/net-libs/libinfinity/files/infinoted.initd
@@ -0,0 +1,28 @@
+#!/sbin/runscript
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting infinoted"
+ start-stop-daemon \
+ --start --quiet --background --make-pidfile \
+ --pidfile /var/run/infinoted.pid \
+ --exec /usr/bin/infinoted \
+ --user ${USER} --group ${GROUP} --umask 007 \
+ -- ${OPTIONS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping infinoted"
+ start-stop-daemon \
+ --stop --quiet \
+ --pidfile /var/run/infinoted.pid
+ eend $?
+}